Subject: Re: [tsvwg] Summary: IPR Declarations on draft-ietf-tsvwg-aqm-dualq-coupled

From: Toke Høiland-Jørgensen <[email-masked]>
Date: Thu, 04 Jul 2019 14:08:06 +0200

"Black, David" <[email-masked]> writes:

> As promised, this note summarizes the off-list discussions on this topic.
>
> The following summary is sent in my role as WG Chair, and is intended as guidance to the Working Group (WG):
>
>
>   1.  Background:
>
>   *   Section 7 of RFC 8179 and all of RFC 3669 are important background to this discussion of intellectual property concerns  - reading both of them before responding to this note is RECOMMENDED.
>   *   The two IPR Disclosures involved are 3561 and 3562 (https://datatracker.ietf.org/ipr/3561/ and https://datatracker.ietf.org/ipr/3562/).
>
>
>
>   1.  IPR Disclosures and IETF Technology Evaluation in general:
>
>   *   The IETF and the IESG in particular disclaim responsibility for evaluating IPR Disclosures.  WG participants are expected to reach their own conclusions, consulting their own legal counsel if/as appropriate.
>   *   IPR Disclosures, including license terms, are inputs to WG evaluation of technology.  WG evaluation of technology is expected to be broad, considering all factors, and not tightly focused on license terms or IPR Disclosures.
>   *   An important factor for the WG to consider is applicability of the patent to the technology of interest to the WG - see Section 5.5 of RFC 3669.   That factor is left for the WG to discuss further as part of WG evaluation of technology.
>   *   The WG mailing list is an important forum for WG activity, hence discussion of license terms on the mailing list as part of WG evaluation of technology is acceptable.
>
>
>
>   1.  The IPR Disclosures on the aqm-dualq-coupled draft and the concern that led to the off-list discussion:
>
>   *   The license terms involved in the original concern are called "Defensive Suspension" or "Defensive Termination" - e.g., see https://en.wikipedia..org/wiki/Defensive_termination.
>   *   The original concern involves the broad scope of the "Defensive Suspension" terms in the IPR Disclosures, specifically that Defensive Suspension is triggered by assertion of any patent(s) whatsoever against the patent holder.
>   *   Perusal of recent IPR disclosures to the IETF (see https://datatracker.ietf.org/ipr/#specific) indicates that similar Defensive Suspension terms are common.
>   *   The WG remains free to evaluate the degree of acceptability (or lack thereof) of these Defensive Suspension terms to this specific WG for this specific technology as part of overall WG evaluation of technology.
>
> A number of additional topics were raised in the off-list discussion but no conclusions were drawn.   Participants in that discussion may (and are likely to) bring those topics to the list for further discussion.

Yes, thank you for the summary David. To expand on my concerns re: the
termination clause:

Termination provisions in licenses vary in a number of ways, including
the breadth of and the types of actions that can trigger termination,
and the scope of what is terminated. Termination provisions are often
found in royalty-free patent licenses, including some open source
licenses (one widely used example:
https://www.apache.org/licenses/LICENSE-2.0), as well as in
standards-related licenses and commitments.

Standards activities with patent rules that specifically seek to foster
royalty-free solutions typically describe or outline a required or
acceptable royalty-free commitment or license. These generally include a
termination provision where the trigger is limited action against the
standard. This avoids the possible use of a patent that is required in
order to implement the standard from being used as leverage in ways
unrelated to the standard, while permitting the termination to operate
in the interest of the standard (tending to discouraging patent action
against the standard).

These are two examples of such royalty-free patent policies; each
permits termination, with differing, but limited, triggers (same
standard, or any standard from the org, respectively):
https://www.oasis-open.org/policies-guidelines/ipr#licensing_req
https://www.w3.org/Consortium/Patent-Policy-20040205/#sec-Requirements

As David pointed out, the IETF doesn't have such a patent policy, but
instead leaves IPR issues to be a matter of consideration, rather than
requirement, as is discussed in RFC 3669. Thus, please consider this
message as material for such consideration.

As I have earlier pointed out, the feature of IPR statement 3561 that I
have concerns about is that, even though the fee is zero, its
termination provision could still allow the patent to be used to
leverage the weight of the standard, not just the patented invention.

As termination provisions differ in their details, let me offer an example
of a scenario that illustrates the leverage potential that I see with this
particular termination provision. This scenario would play out by the
following sequence of events:

1. Holder of a patent on the standard says: the patent is licensed for
   free; but, if you assert any patent against me, your license
   terminates and, if the patent does apply to the standard, you may no
   longer implement the standard.

2. Holder also has other patents and it uses these to engage in various
   licensing activities.

3. Holder seeks license fees from Target. Target, which holds patents
   for defensive purposes, says: I have patents, too; I wasn't going to
   charge you anything, but, since you are demanding money from me,
   let's talk.

4. Holder is unhappy with the resulting talk and sues Target.

5. As a defensive matter, Target considers counter-suing Holder. But,
   now, Target must consider the cost of being required to stop shipping
   anything that implements the standard.

6. The result is that, even though the license price is zero, Holder
   remains able to leverage the value of being able to implement the
   standard, not just the value of whatever invention the patent was
   granted for.

>From an off-list message thread, I came to understand that Nokia views
the earlier RAND statement as not being replaced by the royalty-free
statement, but that both remain in effect. If this is the case, then
this would reduce the leverage provided by the broadly-triggered
termination provision, because one would not be excluded from
implementing the standard. With the continued availability of a RAND
license, while the RF license can go away and Holder is able to charge a
fee for practising the standard (in theory, the value of the patented
invention should be factored into the ultimate settlement), this is
better than being able to shut someone out from the standard. Thus, the
concern would be reduced.

I am expecting a statement to be made on this list concerning that
particular off-list point.

Finally, I'll add that while the scenario above is generic, I am mostly
concerned about ensuring any standard be palatable to upstream open
source projects. This has different implications depending on the
project, of course, and this email is already long enough that I won't
go into more detail about that now. Just wanted to include this point to
help make everyone understand where I'm coming from.

-Toke

---

From: "De Schepper, Koen (Nokia - BE/Antwerp)" <[email-masked]>
Date: Tue, 9 Jul 2019 14:40:34 +0000

Hi David, Toke,

Sorry for the delay in my response, but our legal counsel was out of the office last week.
Thanks David for your summary, and Toke for expressing your particular concerns.  

While the scenario outlined by Toke below is unlikely and we are not aware of any such situation ever occurring, it is an understandable concern. However, if this concern is believed in this group to be of such merit as to lead to a decision to avoid technology with these type of declarations, then it raises much wider implications for IETF and this group's work.

When we made our non-assert commitments we were careful to follow the practice of other companies making similar such commitments.  These also included defensive suspension language, as noted by David.  In the case of this group's work, I would point to the following example: https://datatracker.ietf.org/ipr/2540/

To be clear, and to respond to Toke's specific request, Alcatel Lucent (now part of Nokia) in providing its non-assert IPR commitments (#3561 and #3562) did not withdraw its former RAND IPR commitments (#2679 and #2952).  Accordingly, both remain in effect. For the reasons expressed by Toke, we hope that this will help alleviate the concerns expressed.  

I would also note that Alcatel-Lucent released the DualPI2 code under GPLv2, see: https://github.com/olgabo/dualpi2/blob/master/sch_pi2/sch_pi2.c and more recently: https://github.com/olgaalb/sch_dualpi2/blob/master/sch_dualpi2.c. Nokia is pushing this code into the Linux kernel, similar as for the above example (https://datatracker.ietf.org/ipr/2540/) which is also already part of the Linux kernel.

Finally, on a personal level, I would like to add that it took me (and others) quite some time and effort to push internally, to make these non-assert commitments.  It is Nokia's, and formerly Alcatel-Lucent's, usual practice only to provide RAND commitments - irrespective of whether it ever intends to seek royalties for its patented technology.  I do not expect it will be possible for me to cause any further changes to our commitments.

Koen.

-----Original Message-----
From: tsvwg <[email-masked]> On Behalf Of Toke Høiland-Jørgensen
Sent: Thursday, July 4, 2019 2:08 PM
To: Black, David <[email-masked]>; [email-masked]
Subject: Re: [tsvwg] Summary: IPR Declarations on draft-ietf-tsvwg-aqm-dualq-coupled

> A number of additional topics were raised in the off-list discussion but no conclusions were drawn.   Participants in that discussion may (and are likely to) bring those topics to the list for furt…

Yes, thank you for the summary David. To expand on my concerns re: the termination clause:

Termination provisions in licenses vary in a number of ways, including the breadth of and the types of actions that can trigger termination, and the scope of what is terminated. Termination provisions are often found in royalty-free patent licenses, including some open source licenses (one widely used example:
https://www.apache.org/licenses/LICENSE-2.0), as well as in standards-related licenses and commitments.

Standards activities with patent rules that specifically seek to foster royalty-free solutions typically describe or outline a required or acceptable royalty-free commitment or license. These generally include a termination provision where the trigger is limited action against the standard. This avoids the possible use of a patent that is required in order to implement the standard from being used as leverage in ways unrelated to the standard, while permitting the termination to operate in the interest of the standard (tending to discouraging patent action against the standard).

These are two examples of such royalty-free patent policies; each permits termination, with differing, but limited, triggers (same standard, or any standard from the org, respectively):
https://www.oasis-open.org/policies-guidelines/ipr#licensing_req
https://www.w3.org/Consortium/Patent-Policy-20040205/#sec-Requirements

As David pointed out, the IETF doesn't have such a patent policy, but instead leaves IPR issues to be a matter of consideration, rather than requirement, as is discussed in RFC 3669. Thus, please consider this message as material for such consideration.

As I have earlier pointed out, the feature of IPR statement 3561 that I have concerns about is that, even though the fee is zero, its termination provision could still allow the patent to be used to leverage the weight of the standard, not just the patented invention.

As termination provisions differ in their details, let me offer an example of a scenario that illustrates the leverage potential that I see with this particular termination provision. This scenario would play out by the following sequence of events:

>From an off-list message thread, I came to understand that Nokia views
the earlier RAND statement as not being replaced by the royalty-free statement, but that both remain in effect. If this is the case, then this would reduce the leverage provided by the broadly-triggered termination provision, because one would not be excluded from implementing the standard. With the continued availability of a RAND license, while the RF license can go away and Holder is able to charge a fee for practising the standard (in theory, the value of the patented invention should be factored into the ultimate settlement), this is better than being able to shut someone out from the standard. Thus, the concern would be reduced.

I am expecting a statement to be made on this list concerning that particular off-list point.

Finally, I'll add that while the scenario above is generic, I am mostly concerned about ensuring any standard be palatable to upstream open source projects. This has different implications depending on the project, of course, and this email is already long enough that I won't go into more detail about that now. Just wanted to include this point to help make everyone understand where I'm coming from.

-Toke

---

From: Bob Briscoe <[email-masked]>
Date: Sun, 21 Jul 2019 16:19:23 +0100

Koen,

> When we made our non-assert commitments we were careful to follow the practice of other companies making similar such commitments.  These also included defensive suspension language, as noted by Da…
Indeed the terms for PIE are similar, and it's a mainline Linux kernel 
module. Nonetheless, I believe the position with aqm-dualq-coupled is 
better...

...I've thoroughly analysed all the claims of all the variants of 
Al-Lu's patents in all jurisdictions. They had to be narrowed to be 
granted. And in my opinion they all now solely cover non-essential or 
non-preferred aspects of the aqm-dualq-coupled spec.

Of course, relevance of IPR to a spec is not decided by me. I'm not a 
lawyer, but I did hire a patent attorney to help me (at my own 
considerable cost). Also dealing with the intersection of IPR licensing, 
standards and open source was a large part of my job for many years (as 
the BT Group's IETF coordinator). If anyone is still concerned about 
this, you don't have to trust me. You can do the same analysis I did, 
using only publicly available information (all possibility of further 
concealed filings in other jurisdictions based on Al-Lu's original 
filings has long-expired).

Bob

-- 
________________________________________________________________
Bob Briscoe                               http://bobbriscoe.net/